tbb::internal::strip< T(&)()> Struct Template Reference

Specialization for function pointers. More...

`#include <_template_helpers.h>`

Collaboration diagram for tbb::internal::strip< T(&)()>:

## Public Types

typedef T(* | type) ()

## Detailed Description

### template<typename T>
struct tbb::internal::strip< T(&)()>

Specialization for function pointers.

Definition at line 47 of file _template_helpers.h.

## Member Typedef Documentation

## type

template<typename T >

typedef T(* tbb::internal::strip< T(&)()>::type) ()

Definition at line 47 of file _template_helpers.h.

The documentation for this struct was generated from the following file:

- _template_helpers.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.